Zone ManagementCreate Zone

Create Zone

Create a new VOD pull Zone

curl -X POST "https://api.5centscdn.com/v2/zones/vod/pull/new" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "_METHOD": "PUT",
  "alias": "my-vod-pull-zone",
  "origin": "https://origin.example.com",
  "optimize": "http",
  "ssl": {
    "http2": "Y",
    "redirect": "N",
    "mode": "S"
  },
  "cache": {
    "cache": "1d",
    "expiry": ""
  },
  "cnames": "cdn.example.com",
  "domainlock": {
    "enabled": "N",
    "policy": "Y",
    "list": "",
    "ips": "",
    "noreferer": "N"
  },
  "geoblock": {
    "enabled": "N",
    "policy": "Y",
    "list": [],
    "ips": ""
  },
  "bwlimit": {
    "enabled": "N",
    "policy": "0",
    "rate": 0,
    "rateafter": 0
  },
  "ipaccess": {
    "enabled": "N",
    "policy": "Y",
    "list": "",
    "ips": ""
  },
  "securetoken": {
    "enabled": "N",
    "policy": "Q",
    "keyip": "N",
    "list": "",
    "timeout": 5,
    "session": "0",
    "ips": ""
  },
  "useragent": {
    "enabled": "N",
    "policy": "Y",
    "list": "",
    "ips": "",
    "casesensitive": "N"
  }
}'
{
  "result": "success",
  "message": "Zone updated successfully",
  "zone": {
    "type": "pull",
    "id": 12345,
    "serviceid": 67890,
    "mode": "http",
    "cnames": "",
    "edgeruleids": 0,
    "deleted": null,
    "name": "my-cdn-zone",
    "hashid": "abc123def456",
    "fqdn": "cdn.example.com",
    "fqdnVoD": "vod.example.com",
    "edgerules": {
      "enabled": "N"
    },
    "domainlock": {
      "policy": "N",
      "list": "example.com,cdn.example.com",
      "ips": "203.0.113.10",
      "noreferer": "N",
      "type": "push",
      "enabled": "N",
      "active": "N"
    },
    "geoblock": {
      "policy": "N",
      "list": [
        "US",
        "GB"
      ],
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "securetoken": {
      "policy": "F",
      "keyip": "N",
      "list": "ab12cd34ef56gh78",
      "timeout": 3600,
      "session": "0",
      "ips": "",
      "dirs": "",
      "enabled": "N",
      "active": "N"
    },
    "eac": {
      "policy": "N",
      "list": "http://example.com/auth.script",
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "ssl": {
      "http": "N",
      "http2": "Y",
      "redirect": "Y",
      "mode": "S",
      "certid": null,
      "zerossl": null,
      "enabled": "Y",
      "warning": false
    },
    "cache": {
      "smart": "0",
      "cache": "4h",
      "expiry": "1M",
      "querystring": "N",
      "cachecontrol": "Y",
      "usestale": "Y",
      "revalidate": "Y",
      "cacheInSecs": 14400,
      "cacheInMins": 240,
      "expiryInSecs": 2592000,
      "expiryInMins": 43200
    },
    "edge": {
      "compression": "N",
      "compressionlevel": 5,
      "disposition": "N",
      "stripcookie": "N",
      "xff": "N",
      "cors": "Y",
      "webp": "N",
      "pseudostreaming": "N",
      "wp": "N",
      "lfo": "Y",
      "prefresh": "N"
    },
    "shield": {
      "shields": [
        "CA",
        "FR"
      ]
    },
    "waf": {
      "enabled": "N"
    },
    "seo": {
      "id": 12345,
      "type": "pull",
      "canonical": "N",
      "mode": "default",
      "robots": "N",
      "robotstxt": "N",
      "robotstxtcustom": ""
    },
    "ftpdetails": {
      "username": "user_67890_push_12345",
      "password": "••••••••"
    },
    "ssl_enabled": "Y"
  },
  "warnings": []
}
POST
/zones/vod/pull/new
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
_METHODstring
Required

Must always be PUT.

aliasstring
Required

Label for the zone.

originstring
Required

Origin server URL. Required.

optimizestring

Content delivery optimization mode. http = Standard web content optimization. live = HLS/DASH live streaming optimization. vod = HLS/DASH Video on Demand optimization.

Options: http, live, vod
sslobject

SSL certificate settings for HTTPS delivery.

cacheobject

Cache configuration settings for the zone.

cnamesstring

Comma-separated CNAMEs.

domainlockobject

Domain lock / referrer restriction settings.

geoblockobject

Geo-blocking settings to restrict access by country.

bwlimitobject

Bandwidth limit settings for the zone.

ipaccessobject

IP access control settings to allow or block specific IPs.

securetokenobject

Secure token settings for URL authentication.

useragentobject

User-agent filter settings to restrict access by browser/client.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
_METHODstring
Required

Must always be PUT.

Example:
PUT
aliasstring
Required

Label for the zone.

Example:
my-vod-pull-zone
originstring
Required

Origin server URL. Required.

Example:
https://origin.example.com
optimizestring

Content delivery optimization mode. http = Standard web content optimization. live = HLS/DASH live streaming optimization. vod = HLS/DASH Video on Demand optimization.

Allowed values:httplivevod
sslobject

SSL certificate settings for HTTPS delivery.

cacheobject

Cache configuration settings for the zone.

cnamesstring

Comma-separated CNAMEs.

Example:
cdn.example.com
domainlockobject

Domain lock / referrer restriction settings.

geoblockobject

Geo-blocking settings to restrict access by country.

bwlimitobject

Bandwidth limit settings for the zone.

ipaccessobject

IP access control settings to allow or block specific IPs.

securetokenobject

Secure token settings for URL authentication.

useragentobject

User-agent filter settings to restrict access by browser/client.

Responses

resultstring

Status of the API response.

messagestring

Human-readable status message describing the outcome.

zoneobject
warningsstring[]

Array of non-fatal warning messages from the operation.

Was this page helpful?